#include "soldier.h"
#include "environment.h"

int main()
{
	cout << endl;
	cout << "*************************************" << endl;
	cout << "**          Game Patterns          **" << endl;
	cout << "**             Observer            **" << endl;
	cout << "*************************************" << endl;
	cout << "**       Christoph Stallmann       **" << endl;
	cout << "**      University of Pretoria     **" << endl;
	cout << "**          COS121 - 2012          **" << endl;
	cout << "*************************************" << endl;
	cout << endl;

	Soldier soldier;
	Environment environment;
	environment.attach(&soldier);

	environment.setState("");
	environment.setState("killing");
	environment.setState("grenade");
	environment.setState("");

	cout << endl;
	return 0;
}
