#include "person.h"
#include "subject.h"

Person::Person()
{
	mSubject = NULL;
}

Person::~Person()
{
	if(mSubject != NULL)
	{
		mSubject->detach(this);
	}
}

void Person::registerSubject(Subject *subject)
{
	mSubject = subject;
}
